Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class XBRLENLOCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConfigException, DocumentNotFoundException, TransformException, ValidatorException, ViewerException, XBRLApiException

    public class XBRLENLOCException

extends java.lang.Exception

Clase base de errores, es la clase principal para la notificación de errores encontrados en los servicios de XBRL-LENLOCPENLOC2010.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `canNotResolveSchemaRef` Se produce cuando el schemaRef en la instancia de entrada no es correcto y no puede ser resuelto.
`static java.lang.String` | `errorContextWithoutDimensionContainer` Error debido a que existe un contexto sin escenario ni segment, debiendo ser este contexto dimensional.
`static java.lang.String` | `errorContextWithoutScenario` Error debido a que existe un contexto sin escenario, probablemente porque se haya especificado la dimensión como un segmento en lugar de escenario que es lo correcto.
`static java.lang.String` | `errorCreatingTempFile` Error al crear un fichero temporal.
`static java.lang.String` | `errorGettingFile` Error obteniendo la ruta completa de un fichero.
`static java.lang.String` | `errorGettingNS`
`static java.lang.String` | `errorGettingReportID` Error obteniendo el reportID de un fichero de formato común dado
`static java.lang.String` | `errorGettingSchema` Error obteniendo el schemaRef de una instancia
`static java.lang.String` | `errorInicializingProcessor` Error en la inicialización del procesador de XBRL estándard.
`static java.lang.String` | `errorInXSLTTransformation` Error durante la transformacion XSLT.
`static java.lang.String` | `errorNormalizeSchema` Error al normalizar la referencia al esquema dentro de la instancia.
`static java.lang.String` | `errorParamsTransformation` Error inexperado en la transformacion xslt debido a parámetros incorrectos
`static java.lang.String` | `errorResolvingConfigPaths` Error resolviendo las rutas de configuración del proyecto.
`static java.lang.String` | `errorSavingFileToByteArray` Error al transformar el fichero en array de bytes
`static java.lang.String` | `errorTryingViewInstance` Error intentando visualizar una instancia XBRL.
`static java.lang.String` | `errorTryingViewInstanceExternal`
`static java.lang.String` | `errorTryingViewInstanceResultFile`
`static java.lang.String` | `genericErrorValidatingInstance` Error genérico ocurrido durante el proceso de validación de una instancia XBRL.
`static java.lang.String` | `notExistTempDirectory` No ha sido creado, o no hay permisos de acceso al directorio temporal definido en la configuración del sistema, es decir en el parámetro "tempDirectory" del fichero de propiedades enloc.properties, que se encuentra en el directorio config del sistema.

Constructor Summary
`XBRLENLOCException(java.lang.String codeError, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`XBRLENLOCException(java.lang.String codeError, GenericErrorsHandler errorsHandler, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`XBRLENLOCException(java.lang.String codeError, java.lang.String[] parameters)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.
`XBRLENLOCException(java.lang.String codeError, java.lang.String[] parameters, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XBRLENLOCException(java.lang.String codeError, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XBRLENLOCException(java.lang.String codeError, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary
`java.lang.String` | `getCodeError()` Devuelve el código de error
`GenericErrorsHandler` | `getErrorsHandler()` Devuelve el manejador de errores genérico
`java.lang.String` | `getMessage()`
`void` | `setCodeError(java.lang.String codeError)` Establece un nuevo código de error
`void` | `setErrorsHandler(GenericErrorsHandler errorsHandler)` Establece el manejador de errores

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### notExistTempDirectory

    public static final java.lang.String notExistTempDirectory

  No ha sido creado, o no hay permisos de acceso al directorio temporal definido en la configuración del sistema, es decir en el parámetro "tempDirectory" del fichero de propiedades enloc.properties, que se encuentra en el directorio config del sistema.

  See Also:
    Constant Field Values

### errorInicializingProcessor

    public static final java.lang.String errorInicializingProcessor

  Error en la inicialización del procesador de XBRL estándard.

  See Also:
    Constant Field Values

### errorGettingSchema

    public static final java.lang.String errorGettingSchema

  Error obteniendo el schemaRef de una instancia

  See Also:
    Constant Field Values

### errorGettingFile

    public static java.lang.String errorGettingFile

  Error obteniendo la ruta completa de un fichero.

### errorNormalizeSchema

    public static java.lang.String errorNormalizeSchema

  Error al normalizar la referencia al esquema dentro de la instancia.

### errorSavingFileToByteArray

    public static java.lang.String errorSavingFileToByteArray

  Error al transformar el fichero en array de bytes

### errorResolvingConfigPaths

    public static java.lang.String errorResolvingConfigPaths

  Error resolviendo las rutas de configuración del proyecto.

### errorGettingReportID

    public static java.lang.String errorGettingReportID

  Error obteniendo el reportID de un fichero de formato común dado

### errorCreatingTempFile

    public static java.lang.String errorCreatingTempFile

  Error al crear un fichero temporal.

### errorGettingNS

    public static java.lang.String errorGettingNS

### errorParamsTransformation

    public static java.lang.String errorParamsTransformation

  Error inexperado en la transformacion xslt debido a parámetros incorrectos

### errorInXSLTTransformation

    public static java.lang.String errorInXSLTTransformation

  Error durante la transformacion XSLT.

### genericErrorValidatingInstance

    public static final java.lang.String genericErrorValidatingInstance

  Error genérico ocurrido durante el proceso de validación de una instancia XBRL.

  See Also:
    Constant Field Values

### errorTryingViewInstance

    public static final java.lang.String errorTryingViewInstance

  Error intentando visualizar una instancia XBRL.

  See Also:
    Constant Field Values

### errorTryingViewInstanceExternal

    public static final java.lang.String errorTryingViewInstanceExternal

See Also:
  Constant Field Values

### errorTryingViewInstanceResultFile

    public static final java.lang.String errorTryingViewInstanceResultFile

See Also:
  Constant Field Values

### errorContextWithoutScenario

    public static final java.lang.String errorContextWithoutScenario

  Error debido a que existe un contexto sin escenario, probablemente porque se haya especificado la dimensión como un segmento en lugar de escenario que es lo correcto.

  See Also:
    Constant Field Values

### errorContextWithoutDimensionContainer

    public static final java.lang.String errorContextWithoutDimensionContainer

  Error debido a que existe un contexto sin escenario ni segment, debiendo ser este contexto dimensional.

  See Also:
    Constant Field Values

### canNotResolveSchemaRef

    public static final java.lang.String canNotResolveSchemaRef

  Se produce cuando el schemaRef en la instancia de entrada no es correcto y no puede ser resuelto.

  See Also:
    Constant Field Values

Constructor Detail

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `cause` - mensaje de la excepción original

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              java.lang.String[] parameters,
                              GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              GenericErrorsHandler errorsHandler,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.
    `cause` - mensaje de la excepción original.

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              java.lang.String[] parameters,
                              java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### XBRLENLOCException

    public XBRLENLOCException(java.lang.String codeError,
                              java.lang.String[] parameters)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.

  Parameters:
    `codeError` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getCodeError

    public final java.lang.String getCodeError()

  Devuelve el código de error

  Returns:
    código de error

### setCodeError

    public final void setCodeError(java.lang.String codeError)

  Establece un nuevo código de error

  Parameters:
    `codeError` - código de error

### getErrorsHandler

    public final GenericErrorsHandler getErrorsHandler()

  Devuelve el manejador de errores genérico

  Returns:
    manejador de errores genérico

### setErrorsHandler

    public final void setErrorsHandler(GenericErrorsHandler errorsHandler)

  Establece el manejador de errores

  Parameters:
    `errorsHandler` - manejador de errores

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD